@import url('https://fonts.googleapis.com/css2?family=Inconsolata:wght@200..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

@import "https://www.nerdfonts.com/assets/css/webfont.css";

:root {
    --bg: #000000; 
    --mid: #999; 
    --fg: #0a0;
    --fg-white: #bbb; 
    --hover: #0f0;
}

* { 
    background-color: var(--bg); 
    align: center; 
}

.hero {
    width: 75%; 
    display: block; 
    margin-left: auto; 
    margin-right: auto;
    animation: crt 1s infinite steps(1); 
}

    @keyframes crt {
        0%   { opacity: 1; filter: brightness(1); }
        12%  { opacity: .95; }
        13%  { opacity: .72; filter: brightness(.8); }
        14%  { opacity: 1; }
        31%  { opacity: 1; }
        32%  { opacity: .85; }
        33%  { opacity: .95; }
        34%  { opacity: .65; filter: brightness(.7); }
        35%  { opacity: 1; filter: brightness(1); }
        57%  { opacity: 1; }
        58%  { opacity: .9; }
        59%  { opacity: .75; }
        60%  { opacity: 1; }
        78%  { opacity: 1; }
        79%  { opacity: .8; filter: brightness(.85); }
        80%  { opacity: 1; filter: brightness(1); }
        100% { opacity: 1; }
    }

a { 
    text-decoration: none;
    text-align: center; 
    display: inline; 
}

.links p {
    color: var(--fg);
    padding: 1em; 
    font-size: 1.3em;
    font-family: "Inconsolata", monospace;
    font-style: normal;
    font-weight: 500; 
    text-align: center; 
    display: inline-block; 
}

.links {
    text-align: center; 
    margin-bottom: 10em;
}

a:hover p {
    color: var(--hover);
    transition: .5s; 
}

footer {
    margin-right: 2rem; 
    margin-left: 2rem;
    text-align: center; 
    margin-bottom: 5em; 
}

footer p {
    color: var(--fg-white); 
    font-family: "Open Sans", sans-serif; 
    font-weight: 500; 
}

#footer-links a {
    padding: 1em; 
    text-transform: uppercase; 
    text-align: center; 
    font-size: 1.2em; 
}

footer a {
    color: var(--fg);
}

footer a:hover {
    transition: .3s; 
    color: var(--hover);
}

@media (max-width: 640px) {

    .hero {
        margin-top: 5em; 
        width: 100%; 
        display: block; 
        margin-left: auto; 
        margin-right: auto;
    }

    p {
        display: block; 
    }

    footer {
        margin-right: 1rem; 
        margin-left: 1rem; 
        text-align: center; 
    }

    .links p {
        display: block; 
    }

}
